import type { ColorGenInput } from '../vc-color-picker';
import { Color as RcColor } from '../vc-color-picker';
export declare const toHexFormat: (value?: string, alpha?: boolean) => string;
export declare const getHex: (value?: string, alpha?: boolean) => string;
export declare type Color = Pick<RcColor, 'toHsb' | 'toHsbString' | 'toHex' | 'toHexString' | 'toRgb' | 'toRgbString'>;
export declare class ColorFactory {
    /** Original Color object */
    private metaColor;
    constructor(color: ColorGenInput<Color>);
    toHsb(): import("@ctrl/tinycolor").Numberify<import("../vc-color-picker").HSBA>;
    toHsbString(): string;
    toHex(): string;
    toHexString(): string;
    toRgb(): import("@ctrl/tinycolor").Numberify<import("@ctrl/tinycolor").RGBA>;
    toRgbString(): string;
}
